%global modname moksha.common

Name:           python-moksha-common
Version:        1.0.1
Release:        1%{?dist}
Summary:        Common components for Moksha

Group:          Development/Libraries
License:        ASL 2.0 or MIT
URL:            http://pypi.python.org/pypi/moksha.common
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-mock

BuildRequires:  python-decorator
BuildRequires:  python-paste
BuildRequires:  python-kitchen
BuildRequires:  pytz

Requires:       python-decorator
Requires:       python-paste
Requires:       python-kitchen
Requires:       pytz

%description
Common components for Moksha.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
# Tests are disabled for now because python-mock is behaving oddly in koji.
#%%{__python} setup.py test

%files
%doc README COPYING AUTHORS
%{python_sitelib}/moksha/
%{python_sitelib}/%{modname}-%{version}*

# The CLI tool.  :)
%{_bindir}/moksha

%changelog
* Wed Sep 12 2012 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Upstream bugfixes.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-4
- Use optflags instead of RPM_OPT_FLAGS to be consistent.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-3
- Relicensed to ASL 2.0 or MIT for the one included MIT file.
- Added RPM_OPT_FLAGS to build section.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-2
- Disabled tests since they're behaving strangely in koji.

* Tue Sep 04 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial package for Fedora.  Split from old moksha core.
